Name:		bristol
Version:	0.60.9
Release:	%mkrel 1
Summary:	Synthesizer emulator
Group:		Sound
License:	GPLv2+
URL:		http://bristol.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	%{_lib}x11-devel alsa-lib-devel jackit-devel desktop-file-utils

%description
Bristol is an emulation package for a number of different 'classic' 
synthesizers including additive and subtractive and a few organs. 
The application consists of the engine, which is called bristol, 
and its own GUI library called brighton that represents all the emulations.

%package devel
Summary:	%{summary}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains the development libraries for Bristol.

%prep
%setup -q

find ./bitmaps/ -name '*.gz' | xargs chmod -x 
chmod -x ./memory/profiles/*
find . -name '*.c' | xargs chmod -x
find . -name '*.h' | xargs chmod -x
find . -name '*.xbm' | xargs chmod -x
find . -name '*.svg' | xargs chmod -x
chmod -x NEWS COPYING* README AUTHORS ChangeLog
chmod -x memory/mixer/default/memory memory/mini/readme.txt

%build
%configure2_5x --enable-static=no --disable-version-check

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm INSTALL

mkdir -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 0644 bitmaps/bicon.svg $RPM_BUILD_ROOT%{_datadir}/pixmaps/bristol.svg

mkdir -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING* NEWS README
%{_bindir}/*
%{_datadir}/bristol
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{_libdir}/lib*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so

%changelog
* Sat Nov 26 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.60.9-1_archie_2001
- update

* Fri Nov 25 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.60.8-1_archie_2011
- Ported to PCLinuxOS
